Package org.apache.sling.scripting.sightly.compiler.expression.nodes

## Class NullLiteral

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.expression.nodes.NullLiteral

All Implemented Interfaces:
  `ExpressionNode`

    public final class NullLiteral
    extends Object
    implements ExpressionNode

Defines the null literal.

### Field Summary

Fields
`static NullLiteral` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `accept​(NodeVisitor<T> visitor)` Accept a visitor to process this node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final NullLiteral INSTANCE

### Method Detail

#### accept

    public <T> T accept​(NodeVisitor<T> visitor)

Description copied from interface: `ExpressionNode`
Accept a visitor to process this node.

Specified by:
  `accept` in interface `ExpressionNode`
Type Parameters:
  `T` - the type of the visitor
Parameters:
  `visitor` - The visitor
Returns:
  the node after it has been evaluated by the visitor